Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1659354 - video devices should be removeable when vm has more than one video devices
Summary: video devices should be removeable when vm has more than one video devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: virt-manager
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Pavel Hrdina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-14 07:53 UTC by Xiaodai Wang
Modified: 2020-11-14 08:40 UTC (History)
6 users (show)

Fixed In Version: virt-manager-2.2.0-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 21:19:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3464 0 None None None 2019-11-05 21:19:29 UTC

Description Xiaodai Wang 2018-12-14 07:53:01 UTC
Description of problem:
video devices should be removeable when vm has more than one video devices

Version-Release number of selected component (if applicable):
virt-manager-2.0.0-1.el8.noarch

How reproducible:
100%

Steps to Reproduce:
1. On rhel8, prepare a guest.
2. Add more than on video devices.
3. Check the 'Remove' button.

Actual results:
The 'Remove' button is inactive.

Expected results:
The 'Remove' button should be available for video devices until one is left.

Additional info:

Comment 1 Pavel Hrdina 2019-01-28 16:59:53 UTC
Upstream commit:

commit 943b2a400e244bd60ee2990494a889e42b2e7055
Author: Pavel Hrdina <phrdina@redhat.com>
Date:   Mon Jan 28 17:52:38 2019 +0100

    details: allow to remove video device if it's not the last one

Comment 3 zhoujunqin 2019-07-22 07:29:32 UTC
I can reproduce it with build:
virt-manager-2.0.0-5.el8.noarch

Then try to verify this bug with new build:
virt-manager-2.2.1-1.el8.noarch
virt-install-2.2.1-1.el8.noarch
libvirt-4.5.0-24.module+el8.1.0+3205+41ff0a42.x86_64
qemu-kvm-2.12.0-77.module+el8.1.0+3382+49219945.x86_64
python3-libvirt-4.5.0-1.module+el8+2529+a9686a4d.x86_64

Steps:
1. Prepare a guest.
2. Add more than on video devices.
3. Check the 'Remove' button.

Actual results:
The 'Remove' button is enable, and video device can be removed successfully.
So I move this bug from ON_QA to VERIFIED, thanks.

Comment 5 errata-xmlrpc 2019-11-05 21:19:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3464


Note You need to log in before you can comment on or make changes to this bug.